Custom Domain
API referenceBilling

Start a Stripe Checkout session for a self-serve plan

POST
/billing/checkout
AuthorizationBearer <token>

Long-lived tenant API key (sk_live_… / sk_test_…), stored hashed. Scoped to the owning application's tenant.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/billing/checkout" \  -H "Content-Type: application/json" \  -d '{    "plan": "free",    "success_url": "http://example.com",    "cancel_url": "http://example.com"  }'
{  "url": "http://example.com"}
{  "code": "string",  "title": "string",  "details": "string"}
{  "code": "string",  "title": "string",  "details": "string"}
{  "code": "string",  "title": "string",  "details": "string"}